Price Ticker Updates

### Hierarchy

- SocketEvent<ITickerSubscriptionParams, ITickerSubscriptionData>
  - TickerSubscription

## Index

### Methods

- subscribe
- unsubscribe

## Methods

### subscribe

- subscribe(params: ITickerSubscriptionParams, cb: function): this

- Inherited from SocketEvent.subscribe

  - Defined in aqueduct.ts:1537

  Subscribe to this event

  #### Parameters

  - ##### params: ITickerSubscriptionParams

    Payload to submit to the server

  - ##### cb: function

    Handler for event broadcasts

    - - (data: ITickerSubscriptionData): void

      - #### Parameters

        - ##### data: ITickerSubscriptionData

        #### Returns void

  #### Returns this

### unsubscribe

- unsubscribe(): void

- Inherited from SocketEvent.unsubscribe

  - Defined in aqueduct.ts:1567

  Dispose of an active subscription

  #### Returns void

Generated using TypeDoc